<!DOCTYPE html>
<html lang="en">

<head>
    <title>Frontend Example</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>

<body>
    <div class="container jumbotron">
        <h1>User Registration</h1>
        <form id="register-form">
            <div class="form-group">
                <label for="username">Username:</label>
                <input type="text" class="form-control" id="inp-register-username" name="username" required>
            </div>
            <div class="form-group">
                <label for="password">Password:</label>
                <input type="password" class="form-control" id="inp-register-password" name="password" required>
            </div>
            <button type="submit" class="btn btn-primary">Register</button>
        </form>

        <h1>User Login</h1>
        <form id="login-form">
            <div class="form-group">
                <label for="username">Username:</label>
                <input type="text" class="form-control" id="inp-login-username" name="username" required>
            </div>
            <div class="form-group">
                <label for="password">Password:</label>
                <input type="password" class="form-control" id="inp-login-password" name="password" required>
            </div>
            <button type="submit" class="btn btn-primary">Login</button>
        </form>

        <h1>User List</h1>
        <button id="btn-get-users" class="btn btn-primary">Get Users</button>
    </div>
</body>
<script>
    $(document).ready(function () {
        // Register api
        $('#register-form').submit(function (event) {
            event.preventDefault();
            var username = $('#inp-register-username').val();
            var password = $('#inp-register-password').val();

            $.ajax({
                type: 'POST',
                url: 'http://localhost:8080/register',
                data: JSON.stringify({ username: username, password: password }),
                contentType: 'application/json',
                success: function (response) {
                    alert('Đăng ký thành công!');
                },
                error: function (error) {
                    console.log(error);
                    alert('Lỗi khi đăng ký!');
                }
            });
        });

        // Login api
        $('#login-form').submit(function (event) {
            event.preventDefault();
            var username = $('#inp-login-username').val();
            var password = $('#inp-login-password').val();

            $.ajax({
                type: 'POST',
                url: 'http://localhost:8080/login',
                data: JSON.stringify({ username: username, password: password }),
                contentType: 'application/json',
                success: function (response) {
                    alert('Đăng nhập thành công!');
                },
                error: function (error) {
                    console.log(error);
                    alert('Lỗi khi đăng nhập!');
                }
            });
        });

        // Gọi API /users
        $('#btn-get-users').click(function () {
            $.ajax({
                type: 'GET',
                url: 'http://localhost:8080/users',
                success: function (response) {
                    console.log(response);
                    alert('Gọi API /users thành công');
                },
                error: function (error) {
                    console.log(error);
                    alert('Lỗi khi gọi API /users');
                }
            });
        });
    });
</script>

</html>